'''
Created on Nov 3, 2020

@author: Wagner
'''
import random

class Hangman:
    
    def __init__(self):
        self.cleanList = []
        self.guesses = 0
        self.wordToGuess = ''
        self.display = ''
        self.guessed = []
        
    def getAllWords(self,filename):
        wordFile = open(filename, 'r')
        wordlist = wordFile.readlines()
        for word in wordlist:
            self.cleanList.append(word.strip())
        wordFile.close()
        
    def getWord(self):
        selection = random.randint(0,len(self.cleanList)-1)
        self.wordToGuess = self.cleanList[selection]
            
    def setDisplay(self):
        self.display = '_'*len(self.wordToGuess)
    
    def updateDisplay(self,letter):
        self.display.replace('_',letter)
            
    def checkWord(self,guess):
        if guess in self.wordToGuess and guess not in self.guessed:
            self.updateDisplay(guess)
            self.guessed.append(guess)
            return True
        else:
            self.guesses += 1
            return False
            
    def gameCheck(self):
        if self.guesses >= 3:
            return False
        if self.display == self.wordToGuess:
            return True
        return 'Continue'
    
def main():
    game = Hangman()
    game.getAllWords('words.txt')
    game.getWord()
    while game.gameCheck() == 'Continue':
        guess = input('Enter a letter')
        if game.checkWord(guess):
            print('Good job')
        else:
            print('Try again')
    if game.gameCheck():
        print('Congrats! You won!')
    else:
        print('You lost...')
        

main()    
        
        
    